tigase.jaxmpp.core.client.xmpp.modules.jingle

## Interface JingleModule.JingleSessionInitiationHandler

- All Superinterfaces:
    EventHandler
  All Known Implementing Classes:
    JingleFileTransferNegotiator
  Enclosing class:
    JingleModule

      public static interface JingleModule.JingleSessionInitiationHandler
      extends EventHandler

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `JingleModule.JingleSessionInitiationHandler.JingleSessionInitiationEvent`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onJingleSessionInitiation(SessionObject sessionObject, JID sender, String sid, Element description, List<Transport> transports, MutableBoolean handled)`

- - ### Method Detail

    - #### onJingleSessionInitiation

          void onJingleSessionInitiation(SessionObject sessionObject,
                                         JID sender,
                                         String sid,
                                         Element description,
                                         List<Transport> transports,
                                         MutableBoolean handled)

Copyright © 2006–2020 Tigase. All rights reserved.